# Determine Connection Price Determine costs for a specified Equinix Fabric connection. ![](https://docs.equinix.com/assets/images/pricingConnectionEvpl-726cc7a110eed3618979572e3ce445ac.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Get your relevant port information using the [Get All Ports](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. 3. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine destination location. ## Requesting Pricing Information for a Connection between two Ports[​](#requesting-pricing-information-for-a-connection-between-two-ports "Direct link to Requesting Pricing Information for a Connection between two Ports") To request pricing information, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Specify your pricing criteria in the body of the request. | | **POST /fabric/v4/prices/search** | | ---------------- | --------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/prices/search` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | filter | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_CONNECTION_PRODUCT"                 ]             },             {                 "property": "/connection/type",                 "operator": "=",                 "values": [                     "EVPL_VC"                 ]             },             {                 "property": "/connection/bandwidth",                 "operator": "IN",                 "values": [                     50,                     1000                 ]             },             {                 "property": "/connection/aSide/accessPoint/type",                 "operator": "=",                 "values": [                     "COLO"                 ]             },             {                 "property": "/connection/aSide/accessPoint/uuid",                 "operator": "=",                 "values": [                     "b840a1db-54ab-4abf-97e0-328a5c00a874"                 ]             },             {                 "property": "/connection/zSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "DC"                 ]             },             {                 "property": "/connection/zSide/accessPoint/type",                 "operator": "=",                 "values": [                     "COLO"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md). ## Requesting Pricing Information for a Connection between a Virtual Device and a Port[​](#requesting-pricing-information-for-a-connection-between-a-virtual-device-and-a-port "Direct link to Requesting Pricing Information for a Connection between a Virtual Device and a Port") To request pricing information, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Specify your pricing criteria in the body of the request. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_CONNECTION_PRODUCT"                 ]             },             {                 "property": "/connection/type",                 "operator": "=",                 "values": [                     "EVPL_VC"                 ]             },             {                 "property": "/connection/bandwidth",                 "operator": "IN",                 "values": [                     50,                     1000                 ]             },             {                 "property": "/connection/aSide/accessPoint/type",                 "operator": "=",                 "values": [                     "VD"                 ]             },             {                 "property": "/connection/aSide/accessPoint/",                 "operator": "=",                 "values": [                     "CH"                 ]             },             {                 "property": "/connection/zSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "DC"                 ]             },             {                 "property": "/connection/zSide/accessPoint/type",                 "operator": "=",                 "values": [                     "COLO"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md).